# &kde;-gebruikershandleiding

David
Faure

    faure@kde.org

Waldo
Bastian

    bastian@kde.org

2010-10-28
&kde; 4.5
kded4
8

# `kded4`

&kde;-daemon - start Sycoca-database-updates wanneer nodig.

## Samenvatting

    kded4 --help Algemene-opties Qt-opties KDE-opties --check

## Beschrijving

`kded4` is verantwoordelijk voor het aanmaken van het sycoca-bestand, dwz. de binaire cache van service-typen, mime-typen en services voor een specifieke gebruiker.

Het bekijkt de mappen die .desktop-bestanden bevatten. Wanneer een bestand wordt toegevoegd/verwijderd, dan wacht het 5 seconden (voor het geval van een serie wijzigingen) en start dan `kbuildsycoca4` om de sycoca bij te werken.

Het controleert nieuw geïnstalleerd bestanden voor bijwerken, dwz. de *.upd bestanden die worden gebruikt om configuratiebestanden van gebruikers bij te werken wanneer de bestandsformaten voor de configuratie zich wijzigen. `kconf_update` wordt gestart om het bijwerken uit te voeren.

Wanneer de hostnaam wijzigt, dan zal het de noodzakelijke wijzigingen aan de KDE omgeving en de X-server maken om de juiste werking te laten doorgaan, start `kdontchangethehostname` om de wijzigingen te doen.

Deze taken worden ook altijd uitgevoerd bij het starten van kded4 om er zeker van te zijn dat de configuratie van de gebruiker up-to-date is.

Het is ook verantwoordelijk voor het starten van kded4 modules als daar om wordt gevraagd en initialiseert ingeschakelde kded4-modules zoals:

`Konqueror browser preloader-module`

  Reduceert de opstarttijd van Konqueror.

`Mappenbewaker`

  Mappen monitoren op wijzigingen.

`Hardware-detectie`

  Levert een gebruikersinterface voor hardware gebeurtenissen.

`SSL-certificaat-beleid`

  Levert het door de gebruiker geconfigureerde SSL-certificaat-beleid aan applicaties.

`Configuratie voor netwerk-proxy`

  Automatische proxy-configuratie.

`Caching van wachtwoorden`

  Tijdelijk bufferen van wachtwoorden, bijvoorbeeld: zodat een webpagina met HTTP-authenticatie niet elke keer om uw wachtwoord vraagt bij elke koppeling en elke afbeelding in de pagina. Deze wachtwoorden worden vergeten wanneer KDE wordt verlaten (anders dan met `KWallet`)

`Beleid voor geluid`

  Levert het systeembeleid aan applicaties voor het geluid.

`Favicons`

  Slaat website-pictogrammen op.

`Schermbeheer`

  Beheert schermen en video-uitvoer.

`Cookie-depot`

  Slaat netwerk-cookies op.

`Netwerkbewaker`

  Bewaakt het netwerk en actualiseert de mappenweergave van de KIO-slave network:/.

`Subversion-module`

  Levert de verschillende acties van subversion aan de bestandsbeheerder en andere software.

`Netwerkstatus`

  Volgt de status van netwerkinterfaces en levert meldingen aan programma's die het netwerk gebruiken.

`Write-daemon`

  Observeer berichten van lokale gebruikers verzonden met write(1) of wall(1).

`Bewaker van gebied voor meldingen`

  Volgt toepassingen die het op D-Bus gebaseerde gebied voor meldingen willen gebruiken.

`KMixD`

  KMixD mixerservice

`Systeemvak-daemon`

  Volgt toepassingen die het op D-Bus gebaseerde systeemvak willen gebruiken.

`Toetsenbord-daemon`

  Volgt de wijzigingen van het toetsenbord (nieuw toetsenbord, gewijzigde indeling)

`Notificatie van wijziging in URL-adres op afstand`

  Levert notificatie voor wijzigingen in netwerkmappen

`Activiteitenbeheerder`

  Backend voor Nepomuk activiteitenbeheerder

`Monitor voor wijzigingen in schermbeheer`

  Meldt hoe het scherm is gedraaid (waar beschikbaar)

`Vrije ruimte-melder`

  Geeft een waarschuwing bij een lage stand van de vrije ruimte voor uw persoonlijke map.

`Automatische aankoppelaar voor verwijderbare apparaten`

  Koppelt automatisch apparaten aan zoals nodig is.

`Nepomuk-zoekmodule`

  Helper-module voor KIO om automatisch bijwerken van zoeklijsten van Nepomuk.

`Energiebeheer`

  Energiebeheer en meldingen voor batterij, scherm en CPU.

`K Remote Control-daemon`

  Beheert de commando's ontvangen van de afstandbediening

`Statusmeldingenbeheerder`

  Beheert services die statusmeldingen leveren aan gebruikersinterfaces.

`DNS-SD-diensten zoekbewaking`

  Bewaakt het netwerk op DNS-SD-diensten.

`Uitwerpen uit apparaat`

  Ontkoppelt apparaten en geeft deze automatisch vrij als hun uitwerpknop wordt ingedrukt.

`Tijdzone`

  Levert toegang tot de tijdzones van het systeem aan toepassingen.

`Invoeracties`

  Service voor invoeracties die ingestelde acties uitvoert bij toetsen indrukken.

De modules voor initialisatie kunnen aan-/uitgezet worden met `systemsettings` in Systeembeheer > Opstarten en afsluiten > Servicebeheerder.

## Algemene opties

`--author`

  Auteurinformatie tonen.

`--help`

  Hulp over de opties tonen.

`--help-all`

  Alle opties tonen.

`--help-kde`

  KDE specifieke opties tonen.

`--help-qt`

  Qt-specifieke opties tonen.

`--license`

  Licentie-informatie tonen.

`-v` `--version`

  Versie-informatie tonen

## Programmaopties

`--check`

  Controleer de Sycoca-database slechts een keer.

## Gebruik

Als `kded4` wordt opgeroepen zonder parameters en het draait al, dan wordt de volgende boodschap getoond:

    KDE-daemon (kded) draait al.

Als `kded4` wordt aangeroepen met `kded4 --check`, dan werkt het de &kde;-sycoca bij met gebruik van `kbuildsycoca4`.

## Zie ook

kdeopties(7), qtopties(7), kbuildsycoca4(8)

## Fouten/bugs

Er zijn waarschijnlijk vele bugs. Gebruik bugs.kde.org om ze te rapporteren.